> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get price signal open adr



## OpenAPI

````yaml /api-reference/openapi.json post /v1/homes/{id}/price_signal/open_adr
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/homes/{id}/price_signal/open_adr:
    post:
      tags:
        - homes
      summary: get price signal open adr
      operationId: ClientHomeApiKeyAuthController_priceSignalOpenAdr_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPriceSignalRequestDto'
            example:
              startTime: '2025-02-25T16:13:37.902Z'
              endTime: '2025-02-26T16:13:37.902Z'
      responses:
        '201':
          description: ''
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    GetPriceSignalRequestDto:
      type: object
      properties:
        startTime:
          type: string
          nullable: true
        endTime:
          type: string
          nullable: true
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````